JasperC (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.jsp.compilers, class: JasperC

# Class JasperC

java.lang.Object
org.apache.tools.ant.taskdefs.optional.jsp.compilers.DefaultJspCompilerAdapter
org.apache.tools.ant.taskdefs.optional.jsp.compilers.JasperC

All Implemented Interfaces:
  `JspCompilerAdapter`

public class JasperC extends DefaultJspCompilerAdapter
The implementation of the jasper compiler. This is a cut-and-paste of the original Jspc task.

Since:
  ant1.5

- ## Field Summary

  ### Fields inherited from class DefaultJspCompilerAdapter

  `owner`
  Modifier and Type
  Field
  Description
  `protected JspC`
  `owner`
  our owner

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JasperC(JspMangler mangler)`
  Constructor for JasperC.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JspMangler`
  `createMangler()`
  `boolean`
  `execute()`
  Our execute method.

  ### Methods inherited from class DefaultJspCompilerAdapter

  `addArg, addArg, addArg, getJspc, getProject, implementsOwnDependencyChecking, logAndAddFilesToCompile, setJspc`
  Modifier and Type
  Method
  Description
  `protected void`
  `addArg(CommandlineJava cmd, String argument)`
  add a single argument to the argument list, if the value isn't null
  `protected void`
  `addArg(CommandlineJava cmd, String argument, File file)`
  add an argument tuple to the arg list, if the file parameter isn't null
  `protected void`
  `addArg(CommandlineJava cmd, String argument, String value)`
  add an argument tuple to the argument list, if the value isn't null
  `JspC`
  `getJspc()`
  get the owner
  `Project`
  `getProject()`
  get our project
  `boolean`
  `implementsOwnDependencyChecking()`
  ask if compiler can sort out its own dependencies
  `protected void`
  `logAndAddFilesToCompile(JspC jspc, Vector<String> compileList, CommandlineJava cmd)`
  Logs the compilation parameters, adds the files to compile and logs the "niceSourceList"
  `void`
  `setJspc(JspC owner)`
  set the owner

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JasperC

    public JasperC(JspMangler mangler)
    Constructor for JasperC.
    Parameters:
      `mangler` - a filename converter

- ## Method Details

  - ### execute

    public boolean execute() throws BuildException
    Our execute method.
    Returns:
      true if successful
    Throws:
      `BuildException` - on error

  - ### createMangler

    public JspMangler createMangler()
    Returns:
      an instance of the mangler this compiler uses